Skip to main content
GET
/
v2.0
/
lexicons
Get Lexicons
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/lexicons \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "name": "New Lexicon",
      "description": "Countries members of the European Union, e.g. Spain",
      "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "_id": "<string>",
      "createdAt": 1694518620,
      "lastChanged": 1694518620,
      "createdBy": "<string>",
      "lastChangedBy": "<string>"
    }
  ],
  "total": 1,
  "previousCursor": "<string>",
  "nextCursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Query Parameters

projectId
string

The unique identifier for the Project.

Required string length: 24
Pattern: ^[a-z0-9]{24}$
filter
string

The string to filter Lexicons by name.

limit
integer

The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100.

Required range: 1 <= x <= 100
skip
integer

The number of items to skip before returning the results. Use this parameter with limit for offset-based pagination. The default value is 0.

Required range: x >= 0
sort
string

The order in which results are returned. Set a sorting rule in the format field:direction, where direction can be asc for ascending order or desc for descending order. For example, name:asc sorts by name in ascending order.

Minimum string length: 1
next
string

The cursor that points to the next page of results. Use the nextCursor value returned in a previous response to request the next set of items.

Required string length: 24
previous
string

The cursor that points to the previous page of results. Use the previousCursor value returned in a previous response to request the previous set of items.

Required string length: 24

Response

Returns array of a Lexicons

items
object[]
total
integer
Example:

1

previousCursor
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
nextCursor
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$